export default {
  data() {
    return {}
  },
  // 列表页查询关键词变动重置页码
  computed: {
    _fieldListVal() {
       return this.fieldList && this.fieldList.length ? this.fieldList[0].val:'';
    }
  },
  watch: {
    _fieldListVal(newVal, oldVal) {
      if (this.listQuery && newVal !== oldVal) {
        this.listQuery.page = 1;
      }
    }
  },
  mounted() {},
  methods: {
    // 递归：状态 输入框编辑排序
    _recursiveAddField(arr, key, val) {
      // arr.foreach((item) => {
      for (let i = 0; i < arr.length; i++) {
        this.$set(arr[i], key, val)
        // if (arr[i].hasOwnProperty("status")) {
        //   arr[i].status == 1
        //     ? (arr[i]["status"] = true)
        //     : (arr[i]["status"] = false);
        // }
        if (arr[i].children && arr[i].children.length > 0) {
          this._recursiveAddField(arr[i].children, key, val)
        }
      }
      // });
    },

    // 商品分类 - 操作状态 - 更改上下级
    _recursiveSetStatus(arr, key, val) {
      if (arr.children && arr.children.length > 0) {
        arr.children.forEach((i) => {
          this.$set(i, key, val)
          this._recursiveSetStatus(i, key, val)
        })
      }
    },
  },
}
