/*
  按钮权限功能
  全局方法，元素上v-if判断 
*/
import * as imageConversion from 'image-conversion'

export function protoAuthBtn(button_Id) {
  return this.$store.getters.authButtons.includes(button_Id)
}

export function protoImgCompress(file) {
  return new Promise((resolve, reject) => {
    console.log('压缩前', file) 
    imageConversion.compressAccurately(file, 256).then((res) => { 
      res = new File([res], file.name, { type: file.type, lastModified: Date.now() })
      console.log('压缩后', res);
      resolve(res)
    })
  })
}
