import request from '@/utils/request'

export default {
  getList: (p) =>
    request({
      url: '/recommend/list',
      method: 'get',
      params: p,
    }),

  addArticle: (p) =>
    request({
      url: '/recommend/add',
      method: 'post',
      data: p,
    }),

  editArticle: (p) =>
    request({
      url: '/recommend/edit',
      method: 'post',
      data: p,
    }),

  getDetails: (p) =>
    request({
      url: `/recommend/detail/${p.id}`,
      method: 'get',
      data: p,
    }),

  editStatus: (p) =>
    request({
      url: '/recommend/status',
      method: 'post',
      data: p,
    }),

  editRank: (p) =>
    request({
      url: '/recommend/rank',
      method: 'post',
      data: p,
    }),

  delArticle: (p) =>
    request({
      url: `/recommend/delete/${p.id}`,
      method: 'get',
      params: p,
    }),
}
